package com.ceesolutions.samba.utils;

/**
 * Created by ayaz on 1/1/18.
 */

public class ConfigAPI {

//            public static final String URL = "http://10.21.8.207:80/" ; //  //"https://signsdev.samba.com.pk/"
    public static final String URL = "https://mobilebanking.samba.com.pk/"; //10.21.28.42:80
//    public static final String URL = "https://signuat.samba.com.pk/"; //10.21.28.42:80
//    public static final String URL="https://sitmobapp.samba.com.pk/"; // avanza UAT
//            public static final String URL = "http://192.168.31.31:80/";
    public static final String loginURL = URL + "login";
    public static final String validateURL = URL + "validate";
    public static final String validatenonsambaURL = URL + "non_samba_user_login_validation";
    public static final String regeneratepinURL = URL + "regenerate_pin";
    public static final String regeneratepinRegistrationURL = URL + "regenerate_registration_pin";
    public static final String uservalidationURL = URL + "user_validation";
    public static final String forgotPasswordvalidationURL = URL + "forgot_password_user_verification";
    public static final String userinformationvalidationURL = URL + "user_information_validation";
    public static final String forgotPasswordupdateURL = URL + "forgot_password_user_update";
    public static final String userinformationnonsambavalidationURL = URL + "non_samba_user_information";
    public static final String usercodeverificationURL = URL + "user_code_verification";
    public static final String usercodenonsambaverificationURL = URL + "non_samba_user_code_verification";
    public static final String userlogincreateURL = URL + "user_login_create";
    public static final String trustedDeviceURL = URL + "add_trusted_device";
    public static final String getQuestionsURL = URL + "secret_questions";
    public static final String getPuposesURL = URL + "get_purpose_transfer_list";
    public static final String getUrlForMoviesURL = URL + "get_web_widget_link";
    public static final String setQuestionAnswerURL = URL + "set_secret_questions";
    public static final String titleFetchURL = URL + "get_beneficiary_account_title";
    public static final String setProfileImageURL = URL + "set_profile_avatar";
    public static final String setDevicePasscodeURL = URL + "set_device_passcode";
    public static final String getAccountNBenelistURL = URL + "get_beneficiary_list";
    public static final String userVerificationURL = URL + "username_verification";
    public static final String getAccountListURL = URL + "get_accounts_list";
    public static final String getBankListURL = URL + "get_banks_list";
    public static final String getCategoryListURL = URL + "get_category_list";
    public static final String getBillerListURL = URL + "get_biller_list";
    public static final String getBillerDistributorListURL = URL + "get_biller_distribution_list";
    public static final String getLatestBalURL = URL + "get_account_details";
    public static final String ipinVerificationURL = URL + "ipin_verification";
    public static final String  acountDetailURL = URL + "account_detail";
    public static final String acountDetailLimitURL = URL + "account_limit";
    public static final String submitFTURL = URL + "submit_ft";
    public static final String billPaymentURL = URL + "bill_payment";
    public static final String eatMubarakURL = URL + "eat_mubarak_payment";
    public static final String addBeneficiaryURL = URL + "add_beneficiary";
    public static final String addBeneFavURL = URL + "add_favourite_beneficiary";
    public static final String addFriendFavURL = URL + "update_favourite_friend";
    public static final String removeBeneURL = URL + "remove_beneficiary";
    public static final String addNonSambaURL = URL + "add_nonsamba_bank_account";
    public static final String getFrindsURL = URL + "get_friends_list";
    public static final String addFriendURL = URL + "send_friend_request";
    public static final String getMessagesURL = URL + "get_message_center_for_user";
    public static final String actionFriendRequestURL = URL + "action_friend_request";
    public static final String actionDeleteFriendURL = URL + "action_delete_friend";
    public static final String requestMoneyURL = URL + "request_money";
    public static final String billInquiryURL = URL + "bill_inquiry";
    public static final String addBillerURL = URL + "add_biller";
    public static final String favBillerURL = URL + "mark_favourite_biller";
    public static final String deleteBillerURL = URL + "remove_biller";
    public static final String prepaidListURL = URL + "prepaid_list";
    public static final String accountVisibleURL = URL + "account_visible_status";
    public static final String miniStatementURL = URL + "account_mini_statement";
    public static final String accountStatementURL = URL + "account_statement";
    public static final String requestBillPaymentURL = URL + "request_bill_payment";
    public static final String requestprepaidPaymentURL = URL + "request_prepaid_voucher";
    public static final String cardListURL = URL + "get_cards_list";
    public static final String cardListStatusURL = URL + "card_list_status";
    public static final String cardStatusURL = URL + "card_status";
    public static final String cardPinURL = URL + "card_pin";
    public static final String sendFeedbackURL = URL + "customer_feedback";
    public static final String changePasswordURL = URL + "change_password";
    public static final String rejectReqURL = URL + "mark_message_as_processed";
    public static final String setFingerprintURL = URL + "set_fingerprint";
    public static final String fingerprintAuthURL = URL + "fingerprint_authentication";
    public static final String chatMessagesURL = URL + "chat_messages";
    public static final String ipinFingerVerification = URL + "ipin_fingerprint_verification";
    public static final String getUnreadURL = URL + "get_unread_messages";
    public static final String getAlertURL = URL + "get_alert_list";
    public static final String subsSmsURL = URL + "subscribe_sms";
    public static final String subsEmailURL = URL + "subscribe_email";
    public static final String getFreqURL = URL + "get_frequency_list";
    public static final String getActivityLogTypeURL = URL + "activity_log_type";
    public static final String activityLogsURL = URL + "activity_logs";
    public static final String writeChatURL = URL + "write_chat_message";
    public static final String getAccountEstatementURL = URL + "get_account_esubscription";
    public static final String getSmsStatementURL = URL + "get_account_sms";
    public static final String editBeneURL = URL + "edit_beneficiary";
    public static final String editBillerURL = URL + "edit_biller";
    public static final String logoutURL = URL + "logout";
    public static final String reasonURL = URL + "card_reason_list";
    public static final String verisonURL = URL + "app_version";
    public static final String limitsURL = URL + "account_channel_limit";
    public static final String disclaimerURL = URL + "root_device_disclaimer";
    public static final String passCodevalidateURL = URL + "compare_device_passcode";
    public static final String sqvalidateURL = URL + "compare_secret_question";
    public static final String cardlimitURL = URL + "cardlimit_international";
    public static final String ecommerceURL = URL + "ecommerce_activation_validation";
    public static final String posActivationURL = URL + "setpos_activation";
    public static final String setCardLimitURL = URL + "setcardlimit_international";
    public static final String setInternationalURL = URL + "setinternational_CW";
    public static final String setEcommerceURL = URL + "setecommerce_activation";
    public static final String getQRGatewayDetails = URL + "qr_inquiry/getQRGatewayDetails";
    public static final String qrPayment = URL + "qr_payment/QRPayment";
    public static final String bookmePayment = URL + "initiate_web_transaction";
    public static final String bookMeAlive = URL + "keep_alive";
    public static String fcmToken = "";

}
